MONGOC_SERVER_DESCRIPTION_ISMASTER(3)

NAME
mongoc_server_description_ismaster - mongoc_server_description_ismaster()

SYNOPSIS

        const bson_t *
        mongoc_server_description_ismaster (
           const mongoc_server_description_t *description);

DEPRECATED

WARNING:
        This function is deprecated and should not be used in new code.

Please use mongoc_server_description_hello_response() instead.

PARAMETERS

    •   description: A mongoc_server_description_t.

DESCRIPTION

The client or client pool periodically runs a "hello" command on each server, to update its view of the MongoDB deployment. Use mongoc_client_get_server_descriptions() and mongoc_server_description_hello_response() to get the most recent "hello" response.

RETURNS

A reference to a BSON document, owned by the server description. The document is empty if the driver is not connected to the server.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc